package enos.scrabble.domain;

public abstract class Square {
  private boolean used = false;

  public Square() {
  }

  public int letterScore(char letter) {
    return Game.letterScore(letter);
  }

  public int wordScore (Move theMove) {
    return theMove.getScore();
  }

  protected void signalUsed() {
    used = true;
  }

  protected boolean hasBeenUsed() {
    return used;
  }

  public abstract Object clone();
}