package enos.scrabble.domain;

public class LetterBonusSquare extends Square {
  int multiplier = 1;
  public LetterBonusSquare(int theMultiplier) {
    multiplier = theMultiplier;
  }

  public int letterScore(char letter) {
    if (hasBeenUsed()) {
      return super.letterScore(letter);
    }
    else {
      return super.letterScore(letter) * multiplier;
    }
  }

  public String toString() {
    return multiplier + "L";
  }

  public Object clone() {
    LetterBonusSquare newSquare = new LetterBonusSquare(multiplier);
    if (this.hasBeenUsed())
      newSquare.signalUsed();
    return newSquare;
  }

}